/*   
     SCOL TELNET sockets - windows  . Magma 1.0 . 1996 . Sylvain HUET

         socket.h : definitions des routines sockets bas-niveau
*/

#ifndef _TELNET_H_
#define _TELNET_H_

#define MAX_TELNET_GET 128

int SCOLTelnetEvent(mmachine mscol,int hSock,int NetEvent,int NetError);
int TELNETConnect(mmachine m);
int TELNETClose(mmachine m);
int TELNETSend(mmachine m);
int TELNETGetBuffer(mmachine m);
int TELNETConvertString(mmachine m);
void TELNETinit();
int TELNETrflRead (mmachine m);
int TELNETrflWrite (mmachine m);
int TELNETrflConnect (mmachine m);
int TELNETrflClose (mmachine m);
#endif /* _TELNET_H_ */
